tt_message_context_ival(library call)

NAME
tt_message_context_ival — retrieve the integer value of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_context_ival(
Tt_message m,
const char *slotname,
int *value);

DESCRIPTION

The tt_message_context_ival function retrieves the integer value of a message's context.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the context of this message. The value argument points to the location to return the value.

If there is no context slot associated with slotname, tt_message_context_ival returns a NULL pointer in *value.

RETURN VALUE

Upon successful completion, the tt_message_context_ival function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

TT_WRN_NOTFOUND
    The named context does not exist on the specified message.

APPLICATION USAGE

The application can use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3).